Bug 339180 - cmake and/or compiler pick up Geolocation header files from previous version
Summary: cmake and/or compiler pick up Geolocation header files from previous version
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Portability-Cmake (show other bugs)
Version: 4.3.0
Platform: MacPorts Packages macOS
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-18 14:44 UTC by RJVB
Modified: 2022-01-31 16:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description RJVB 2014-09-18 14:44:20 UTC
Building digikam 4.3.0 on OS X using clang 3.4 fails on the gpssync plugin because the compiler fails to find <libkgeomap/tracks.h> and <libkgeomap/track_reader.h> . A quick look at the gpssync CMakeLists.txt file suggests that indeed the path to those header files is not added to the search path explicitly.

Reproducible: Always

Steps to Reproduce:
1. update the existing MacPorts Portfile for 4.0.0 to fetch and build 4.3.0
2. launch the build, e.g. through `port -v destroot digikam`
3. wait for the error to occur

Actual Results:  
Launching make by hand in the build directory (or via kdevelop):

> make -j4 V=1
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -H/Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 -B/Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build --check-build-system CMakeFiles/Makefile.cmake 0
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_progress_start /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/CMakeFiles/progress.marks
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && make -f CMakeFiles/Makefile2 extra/kipi-plugins/gpssync/all
make -f extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync_automoc.dir/build.make extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync_automoc.dir/depend
make -f extra/kipi-plugins/common/libkipiplugins/CMakeFiles/kipiplugins_automoc.dir/build.make extra/kipi-plugins/common/libkipiplugins/CMakeFiles/kipiplugins_automoc.dir/depend
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator_automoc.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator_automoc.dir/depend
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_kipiimageitem_automoc.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_kipiimageitem_automoc.dir/depend
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync_automoc.dir/DependInfo.cmake --color=
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/common/libkipiplugins /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/common/libkipiplugins /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/common/libkipiplugins/CMakeFiles/kipiplugins_automoc.dir/DependInfo.cmake --color=
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator_automoc.dir/DependInfo.cmake --color=
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_kipiimageitem_automoc.dir/DependInfo.cmake --color=
make -f extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync_automoc.dir/build.make extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync_automoc.dir/build
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync && /opt/local/bin/automoc4 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/kipiplugin_gpssync_automoc.cpp /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync /opt/local/bin/moc /Volumes/Debian/MP6/bin/cmake
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_kipiimageitem_automoc.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_kipiimageitem_automoc.dir/build
make -f extra/kipi-plugins/common/libkipiplugins/CMakeFiles/kipiplugins_automoc.dir/build.make extra/kipi-plugins/common/libkipiplugins/CMakeFiles/kipiplugins_automoc.dir/build
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests && /opt/local/bin/automoc4 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/gpssync_test_kipiimageitem_automoc.cpp /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests /opt/local/bin/moc /Volumes/Debian/MP6/bin/cmake
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator_automoc.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator_automoc.dir/build
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/common/libkipiplugins && /opt/local/bin/automoc4 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/common/libkipiplugins/kipiplugins_automoc.cpp /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/common/libkipiplugins /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/common/libkipiplugins /opt/local/bin/moc /Volumes/Debian/MP6/bin/cmake
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests && /opt/local/bin/automoc4 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/gpssync_test_correlator_automoc.cpp /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests /opt/local/bin/moc /Volumes/Debian/MP6/bin/cmake
Generating track_correlator.moc
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
Generating track_correlator.moc
[  0%] Built target gpssync_test_kipiimageitem_automoc
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgparsing_automoc.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgparsing_automoc.dir/depend
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgparsing_automoc.dir/DependInfo.cmake --color=
[  0%] /Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
Built target kipiplugins_automoc
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgtagmodel_automoc.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgtagmodel_automoc.dir/depend
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgtagmodel_automoc.dir/DependInfo.cmake --color=
[  0%] Built target gpssync_test_correlator_automoc
make -f extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel_automoc.dir/build.make extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel_automoc.dir/depend
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgparsing_automoc.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgparsing_automoc.dir/build
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests/simpletreemodel /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/simpletreemodel /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel_automoc.dir/DependInfo.cmake --color=
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests && /opt/local/bin/automoc4 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/gpssync_test_rgparsing_automoc.cpp /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests /opt/local/bin/moc /Volumes/Debian/MP6/bin/cmake
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgtagmodel_automoc.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgtagmodel_automoc.dir/build
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests && /opt/local/bin/automoc4 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/gpssync_test_rgtagmodel_automoc.cpp /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests /opt/local/bin/moc /Volumes/Debian/MP6/bin/cmake
make -f extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel_automoc.dir/build.make extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel_automoc.dir/build
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/simpletreemodel && /opt/local/bin/automoc4 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/simpletreemodel/gpssync_test_simpletreemodel_automoc.cpp /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests/simpletreemodel /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/simpletreemodel /opt/local/bin/moc /Volumes/Debian/MP6/bin/cmake
[  0%] Built target kipiplugin_gpssync_automoc
make -f extra/kipi-plugins/common/libkipiplugins/CMakeFiles/kipiplugins.dir/build.make extra/kipi-plugins/common/libkipiplugins/CMakeFiles/kipiplugins.dir/depend
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
[  0%] Built target gpssync_test_rgparsing_automoc
[  0%] Built target gpssync_test_rgtagmodel_automoc
[  0%] Built target gpssync_test_simpletreemodel_automoc
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/common/libkipiplugins /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/common/libkipiplugins /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/common/libkipiplugins/CMakeFiles/kipiplugins.dir/DependInfo.cmake --color=
make -f extra/kipi-plugins/common/libkipiplugins/CMakeFiles/kipiplugins.dir/build.make extra/kipi-plugins/common/libkipiplugins/CMakeFiles/kipiplugins.dir/build
make[2]: Nothing to be done for `extra/kipi-plugins/common/libkipiplugins/CMakeFiles/kipiplugins.dir/build'.
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles  50
[100%] Built target kipiplugins
make -f extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync.dir/build.make extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync.dir/depend
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator.dir/depend
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_kipiimageitem.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_kipiimageitem.dir/depend
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgparsing.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgparsing.dir/depend
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator.dir/DependInfo.cmake --color=
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgparsing.dir/DependInfo.cmake --color=
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_kipiimageitem.dir/DependInfo.cmake --color=
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgparsing.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgparsing.dir/build
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_kipiimageitem.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_kipiimageitem.dir/build
make[2]: Nothing to be done for `extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgparsing.dir/build'.
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
[100%] Built target gpssync_test_rgparsing
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgtagmodel.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgtagmodel.dir/depend
make[2]: Nothing to be done for `extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_kipiimageitem.dir/build'.
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgtagmodel.dir/DependInfo.cmake --color=
[100%] Built target gpssync_test_kipiimageitem
make -f extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel.dir/build.make extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel.dir/depend
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync.dir/DependInfo.cmake --color=
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build && /Volumes/Debian/MP6/bin/cmake -E cmake_depends "Unix Makefiles" /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0 /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests/simpletreemodel /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/simpletreemodel /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel.dir/DependInfo.cmake --color=
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgtagmodel.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgtagmodel.dir/build
Scanning dependencies of target gpssync_test_correlator
make -f extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator.dir/build.make extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator.dir/build
make[2]: Nothing to be done for `extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_rgtagmodel.dir/build'.
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
[100%] Built target gpssync_test_rgtagmodel
[100%] /Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
Building CXX object extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator.dir/gpssync_test_correlator_automoc.cpp.o
linking CMakeFiles/gpssync_test_correlator.dir/gpssync_test_correlator_automoc.cpp.o (clang++)
[100%] Building CXX object extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator.dir/test_correlator.cpp.o
linking CMakeFiles/gpssync_test_correlator.dir/test_correlator.cpp.o (clang++)
Scanning dependencies of target gpssync_test_simpletreemodel
make -f extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel.dir/build.make extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel.dir/build
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
[100%] Building CXX object extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel.dir/gpssync_test_simpletreemodel_automoc.cpp.o
linking CMakeFiles/gpssync_test_simpletreemodel.dir/gpssync_test_simpletreemodel_automoc.cpp.o (clang++)
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
[100%] Building CXX object extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel.dir/test_simpletreemodel.cpp.o
linking CMakeFiles/gpssync_test_simpletreemodel.dir/test_simpletreemodel.cpp.o (clang++)
Scanning dependencies of target kipiplugin_gpssync
make -f extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync.dir/build.make extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync.dir/build
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
[100%] Building CXX object extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync.dir/kipiplugin_gpssync_automoc.cpp.o
linking CMakeFiles/kipiplugin_gpssync.dir/kipiplugin_gpssync_automoc.cpp.o (clang++)
In file included from /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/gpssync_test_correlator_automoc.cpp:4:
In file included from /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/moc_track_correlator_thread.cpp:9:
In file included from /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/../../../../../digikam-4.3.0/extra/kipi-plugins/gpssync/track_correlator_thread.h:36:
/Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/../../../../../digikam-4.3.0/extra/kipi-plugins/gpssync/track_correlator.h:32:10: fatal error: 'libkgeomap/tracks.h' file not found
#include "libkgeomap/tracks.h"
         ^
1 error generated.
make[2]: *** [extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator.dir/gpssync_test_correlator_automoc.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
[100%] Building CXX object extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel.dir/simpletreemodel.cpp.o
linking CMakeFiles/gpssync_test_simpletreemodel.dir/simpletreemodel.cpp.o (clang++)
In file included from /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/kipiplugin_gpssync_automoc.cpp:4:
In file included from /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/moc_track_correlator_thread.cpp:9:
In file included from /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/../../../../digikam-4.3.0/extra/kipi-plugins/gpssync/track_correlator_thread.h:36:
/Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/track_correlator.h:32:10: fatal error: 'libkgeomap/tracks.h' file not found
#include "libkgeomap/tracks.h"
         ^
1 error generated.
make[2]: *** [extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync.dir/kipiplugin_gpssync_automoc.cpp.o] Error 1
make[1]: *** [extra/kipi-plugins/gpssync/CMakeFiles/kipiplugin_gpssync.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
[100%] Building CXX object extra/kipi-plugins/gpssync/tests/simpletreemodel/CMakeFiles/gpssync_test_simpletreemodel.dir/__/__/borrowed/modeltest.cpp.o
linking CMakeFiles/gpssync_test_simpletreemodel.dir/__/__/borrowed/modeltest.cpp.o (clang++)
/Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/digikam-4.3.0/extra/kipi-plugins/gpssync/tests/test_correlator.cpp:39:10: fatal error: 'libkgeomap/track_reader.h' file not found
#include <libkgeomap/track_reader.h>
         ^
1 error generated.
make[2]: *** [extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator.dir/test_correlator.cpp.o] Error 1
make[1]: *** [extra/kipi-plugins/gpssync/tests/CMakeFiles/gpssync_test_correlator.dir/all] Error 2
Linking CXX executable gpssync_test_simpletreemodel.app/Contents/MacOS/gpssync_test_simpletreemodel
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/simpletreemodel && /Volumes/Debian/MP6/bin/cmake -E cmake_link_script CMakeFiles/gpssync_test_simpletreemodel.dir/link.txt --verbose=1
linking gpssync_test_simpletreemodel.app/Contents/MacOS/gpssync_test_simpletreemodel (clang++)
cd /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/simpletreemodel && /Volumes/Debian/MP6/bin/cmake -D_filename=/Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/simpletreemodel//gpssync_test_simpletreemodel.app/Contents/MacOS/gpssync_test_simpletreemodel.shell -D_library_path_variable=DYLD_LIBRARY_PATH -D_ld_library_path="/Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/lib/./:/opt/local/lib" -D_executable=/Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/extra/kipi-plugins/gpssync/tests/simpletreemodel/gpssync_test_simpletreemodel.app/Contents/MacOS/gpssync_test_simpletreemodel -P /Volumes/Debian/MP6/share/apps/cmake/modules/kde4_exec_via_sh.cmake
/Volumes/Debian/MP6/bin/cmake -E cmake_progress_report /Volumes/Debian/MP6/var/macports/build/_Volumes_Debian_MP6_site-ports_kde_digikam/digikam/work/build/CMakeFiles 
[100%] Built target gpssync_test_simpletreemodel
make: *** [all] Error 2


Expected Results:  
build success

I haven't (yet) checked what other components might be affected; will report back on that.
Comment 1 caulier.gilles 2014-09-18 14:49:06 UTC
Strange.

I use macport and OSX here, and problem is not reproducible (in fact i never seen this before)...

- digiKam compile fine using macport package.
- digiKam compile fine using current implementation from git/master.

Sound like a macports config problem

Gilles Caulier
Comment 2 RJVB 2014-09-18 15:01:45 UTC
using what macport package, if I may ask, for what digikam version?

I am doing this on OS X 10.6.8, using MacPort's clang-3.4 because it's basically the same compiler as used on more recent OS X versions.

I wonder if cmake doesn't get confused because of the /opt/local/include/libkgeomap directory that belongs to the current (4.0.0) version - for instance because it finds an existing header file in there and then decides that the libkgeomap directory doesn't have to be added to the search path?
Comment 3 caulier.gilles 2014-09-18 15:07:15 UTC
using what macport package, if I may ask, for what digikam version?

4.0.0. Just tested...

else with current implementation from git/master : next 4.4.0

Gilles Caulier
Comment 4 caulier.gilles 2014-09-18 15:08:44 UTC
Which digiKam macports variant do you use to install it ?

"Variants: debug docs lcms2 mysql_check translations use_private_libs "

me, i only use "debug".

Gilles Caulier
Comment 5 RJVB 2014-09-18 15:33:59 UTC
If memory serves me well, it was me who updated the Portfile for digikam 4.0.0 ... O:-)

That portfile of course allowed me to do `port install digikam` without issues. I did not use a variant for 4.0.0, I'm using +translations now. So 4.0.0 was built using CMAKE_TYPE=releasewithdebug (which I hope equels RelWithDebInfo; I changed that in the current Portfile).

I am a bit surprised that you can still use that old Portfile to build digikam 4.0.0, because it sets the CMAKE_MODULE_PATH to ${PREFIX}/share/cmake-2.8 ... and MacPorts has had cmake 3.0 for a while already. (It is of course possible that you got a binary build for the 4.0.0 version ...)

I think my assumption was right: not only did the compiler fail to find certain header files, but it also found older versions with the result that KGeoMapWidget::setTrackManager was undefined. When I deactivate the 4.0.0 port (`port deactivate digikam`), the build seems to go through.

I'm curious to see what will happen on my Linux box where I also use clang-3.4 and that has digikam-4.0.0 installed (but through a PPA package so maybe the libkgeomap headers aren't installed globally).
Comment 6 RJVB 2014-09-18 15:49:07 UTC
Confirmed: the build completed fine like this, and I now have digikam 4.3.0 running (I only had to let the install overwrite ${prefix}/share/locale/fr/LC_MESSAGES/libkipi.mo which also exists in the port:kde-l10n-fr).

A mean little question: if 4.3.0 is a release, why does the splash screen say BETA? ;)
Comment 7 caulier.gilles 2014-09-18 15:57:54 UTC
>It is of course possible that you got a binary build for the 4.0.0 version...

==> no. making a DMG or PKG bin file with macports do not work due to compilation issue with Boost library. There is already a report in macports bugzilla about this subject.

>A mean little question: if 4.3.0 is a release, why does the splash screen say BETA? ;)

==> because under OSX, not all is tested as under Linux.
Comment 8 RJVB 2014-09-18 16:05:45 UTC
MacPorts distributes binary builds through tarballs. But I checked, digikam cannot be distributed that way because of bloody license conflicts. So  maybe cmake is smart enough not to override its module directories with inexistent ones (Or, you are still running cmake 2.8 ...)
Comment 9 RJVB 2014-09-18 16:36:18 UTC
As I thought, the libkgeomap headerfiles are not installed on my Ubuntu set-up, and thus older versions of them cannot get in the way while building a newer digikam.

2 possibilities: 
- I modify my Portfile to prevent ${prefix}/include/libkgeomap from being installed (= remove the directory from destroot)
- someone modifies the build process so that that directory isn't installed (or optionally so).
Comment 10 caulier.gilles 2014-09-18 19:10:47 UTC
MacPorts distributes binary builds through tarballs...

==> really ??? Are you sure. Give me a link.

digikam cannot be distributed that way because of bloody license conflicts

==> Which conflicts ? digiKam is GPL2+. where is the problem exaclty ?

Gilles Caulier
Comment 11 caulier.gilles 2014-09-18 19:14:24 UTC
In comment #9, you said that libkgeomap are not installed on the system with the tarball. It's true because libkgeomap code in include in tarball and compiled against it.

# in original comment you said :

A quick look at the gpssync CMakeLists.txt file suggests that indeed the path to those header files is not added to the search path explicitly.

In which cmake file do you take a look. Do you know that inclusion are recursive. So top level cmake file inclusion are inherited in low level cmake file...

Note : I use cmake 3.x here

Gilles Caulier
Comment 12 caulier.gilles 2014-09-18 19:27:42 UTC
From top level :

https://projects.kde.org/projects/extragear/graphics/digikam/digikam-software-compilation/repository/revisions/master/entry/CMakeLists.txt#L150

This ask to cmake script FindKGeomap to force to use local code instead system. KGEOMAP_LOCAL_DIR is defined.

In libkgeomap the rules with this variable are :

https://projects.kde.org/projects/extragear/libs/libkgeomap/repository/revisions/master/entry/cmake/modules/FindKGeoMap.cmake#L41

and KGEOMAP_* variables are set accordingly with local source code from tarball.

In kipi-plugins, KGeoMap will be query through this line :

https://projects.kde.org/projects/extragear/graphics/kipi-plugins/repository/revisions/master/entry/CMakeLists.txt#L99

and here, KGEOMAP_LOCAL_DIR is defined, so KGEOMAP_* will be filled with local source code.

Finally, in GPSSync, KGeoMap include dir are push her before compilation :

https://projects.kde.org/projects/extragear/graphics/kipi-plugins/repository/revisions/master/entry/gpssync/CMakeLists.txt#L4

So the question is : where is the problem...

Gilles Caulier
Comment 13 RJVB 2014-09-18 21:39:35 UTC
(In reply to Gilles Caulier from comment #10)
> MacPorts distributes binary builds through tarballs...
> 
> ==> really ??? Are you sure. Give me a link.

Obviously I cannot for digikam, but here's one for ruby 2.0:
http://lil.fr.packages.macports.org/ruby20/ . You can go up a directory and from there browse the whole repository.

> ==> Which conflicts ? digiKam is GPL2+. where is the problem exaclty ?

> port-check-distributable.tcl -v digikam
"digikam" is not distributable because its license "gpl" conflicts with license "MPL-2" of dependency "eigen3"

I'm not making this up ... somebody else did ;)
Comment 14 caulier.gilles 2014-09-18 21:49:09 UTC
> port-check-distributable.tcl -v digikam
"digikam" is not distributable because its license "gpl" conflicts with license "MPL-2" of dependency "eigen3"

AHah... The licensing world is really... stupid...

And look : eigen3 dependency is... optional (for Refocus tool). The licensing is not good for packagers : no problem, just disable eigen3 support, and that all...

Gilles Caulier
Comment 15 caulier.gilles 2014-09-18 21:55:53 UTC
Strange binary repository.
Look gimp application which is a huge stuff. The last package is :

http://lil.fr.packages.macports.org/gimp-app/gimp-app-2.8.2_2.darwin_13.x86_64.tbz2

size : 43Kb......

In this archive the binary executable is in Applications/MacPorts/GIMP.app/Contents/MacOS/Gimp

size : 13Kb.....

Gilles Caulier
Comment 16 RJVB 2014-09-18 21:56:29 UTC
(In reply to Gilles Caulier from comment #11)

> In which cmake file do you take a look. Do you know that inclusion are
> recursive. So top level cmake file inclusion are inherited in low level
> cmake file...

I have never written a CMake file in my life but I know about the inheritance. I looked at the CMakeFile in the gpssync directory because that's were the build error occurred. I looked at all places where the pattern kgeomap is found, but I couldn't find (understand?) if the path to the headers is set explicitly.
Comment 17 RJVB 2014-09-18 21:58:23 UTC
(In reply to Gilles Caulier from comment #15)
> Strange binary repository.
> Look gimp application which is a huge stuff. The last package is :
> 
> http://lil.fr.packages.macports.org/gimp-app/gimp-app-2.8.2_2.darwin_13.
> x86_64.tbz2
> 
> size : 43Kb......

That's just an app bundle wrapper to launch the real GIMP app:

> port info gimp-app
gimp-app @2.8.2_2 (aqua, graphics)
Variants:             universal

Description:          GIMP.app application bundle
Homepage:             http://gimp-app.sourceforge.net

Extract Dependencies: unzip
Runtime Dependencies: gimp2
Platforms:            macosx
License:              GPL-2+
Maintainers:          nomaintainer@macports.org
Comment 18 caulier.gilles 2014-09-18 21:59:08 UTC
How do you install a Macports pre-compiled binary package ?

Gilles Caulier
Comment 19 RJVB 2014-09-18 22:23:18 UTC
On Thursday September 18 2014 21:59:08 Gilles Caulier wrote:
> https://bugs.kde.org/show_bug.cgi?id=339180
> 
> --- Comment #18 from Gilles Caulier <caulier.gilles@gmail.com> ---
> How do you install a Macports pre-compiled binary package ?

That's automatic, on the condition that you installed MacPorts in /opt/local .

port install foo

will first check if a package built for your OS version and CPU architecture exists on the servers. If it does, it pulls the package in and installs it. If not, it will fetch the source and build from there. This is supposed to be transparent to the user - except of course that building from source takes much more time.

Package maintainers also have no effort to make to make binary packages: if a package passes the selection criteria (= no licensing conflicts) the buildbots will build it for all supported OS/CPU compinations.

R.
Comment 20 RJVB 2014-09-18 22:31:42 UTC
(In reply to Gilles Caulier from comment #12)

> https://projects.kde.org/projects/extragear/graphics/kipi-plugins/repository/
> revisions/master/entry/gpssync/CMakeLists.txt#L4

So you're saying that I should have found a `-I...extra/libkgeomap` among the compiler arguments? Even if there is a /opt/local/include/libkgeomap directory? 

> So the question is : where is the problem...

I think the problem must have to do with the presence of that "old" libkgeomap header directory in /opt/local/include, and the way MacPorts creates a protected environment.  I'll attach the portfile I worked with. If my guess is right you too will have a /opt/local/include/libkgeomap directory if you installed 4.0.0 through MacPorts. So you can try to see for yourself.

NB: MacPort's clang does seem a bit less capable to find header files than Apple's version and gcc, but until now I noticed that only in Xcode projects where Apple's compilers seem to find the headers just because they're added to the project (and no explicit search path is added in the settings).
> 
> Gilles Caulier
Comment 21 caulier.gilles 2014-11-03 11:22:16 UTC
Git commit f20e21b1d45a0eef9fcddd3c9e852c28cc112337 by Gilles Caulier.
Committed on 02/11/2014 at 22:46.
Pushed by cgilles into branch 'master'.

since TrackManager have been introduced this summer, lib version ID have never been dumped.
Fix API/ABI id accordingly

M  +5    -4    CMakeLists.txt

http://commits.kde.org/libkgeomap/f20e21b1d45a0eef9fcddd3c9e852c28cc112337

diff --git a/CMakeLists.txt b/CMakeLists.txt
index cc25499..862bb98 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -62,9 +62,10 @@ ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=${LIBKGEOMAP_AREA_CODE_GENERAL})
 # API      ABI
 # 0.1.0 => 0.1.0     (During digiKam GoSC2010)
 # 2.0.0 => 1.0.0     (Included into digiKam 2.0.0 Software Collection)
+# 3.0.0 => 2.0.0     (Including track manager, see bug #333622)

 # Library API version
-SET(KGEOMAP_LIB_MAJOR_VERSION "2")
+SET(KGEOMAP_LIB_MAJOR_VERSION "3")
 SET(KGEOMAP_LIB_MINOR_VERSION "0")
 SET(KGEOMAP_LIB_PATCH_VERSION "0")

@@ -79,15 +80,15 @@ SET(KGEOMAP_LIB_SUFFIX_VERSION "")

 # Library ABI version used by linker.
 # For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
-SET(KGEOMAP_LIB_SO_CUR_VERSION "1")
+SET(KGEOMAP_LIB_SO_CUR_VERSION "2")
 SET(KGEOMAP_LIB_SO_REV_VERSION "0")
 SET(KGEOMAP_LIB_SO_AGE_VERSION "0")

 # =======================================================
 # Set env. variables accordinly.

-SET(KGEOMAP_LIB_VERSION_STRING "${KGEOMAP_LIB_MAJOR_VERSION}.${KGEOMAP_LIB_MINOR_VERSION}.${KGEOMAP_LIB_PATCH_VERSION}${KGEOMAP_LIB_SUFFIX_VERSION}")
-SET(KGEOMAP_LIB_VERSION_ID "0x0${KGEOMAP_LIB_MAJOR_VERSION}0${KGEOMAP_LIB_MINOR_VERSION}0${KGEOMAP_LIB_PATCH_VERSION}")
+SET(KGEOMAP_LIB_VERSION_STRING    "${KGEOMAP_LIB_MAJOR_VERSION}.${KGEOMAP_LIB_MINOR_VERSION}.${KGEOMAP_LIB_PATCH_VERSION}${KGEOMAP_LIB_SUFFIX_VERSION}")
+SET(KGEOMAP_LIB_VERSION_ID        "0x0${KGEOMAP_LIB_MAJOR_VERSION}0${KGEOMAP_LIB_MINOR_VERSION}0${KGEOMAP_LIB_PATCH_VERSION}")
 SET(KGEOMAP_LIB_SO_VERSION_STRING "${KGEOMAP_LIB_SO_CUR_VERSION}.${KGEOMAP_LIB_SO_REV_VERSION}.${KGEOMAP_LIB_SO_AGE_VERSION}")

 # =======================================================
Comment 22 caulier.gilles 2014-11-03 11:22:42 UTC
Git commit 580ef984ee07807da6d58a68d2657ffb89f56537 by Gilles Caulier.
Committed on 02/11/2014 at 22:46.
Pushed by cgilles into branch 'master'.

fix compilation if older libkgeomap is used

M  +3    -0    gpssync/gpssyncdialog.cpp

http://commits.kde.org/kipi-plugins/580ef984ee07807da6d58a68d2657ffb89f56537

diff --git a/gpssync/gpssyncdialog.cpp b/gpssync/gpssyncdialog.cpp
index 33b4257..c8f5d94 100644
--- a/gpssync/gpssyncdialog.cpp
+++ b/gpssync/gpssyncdialog.cpp
@@ -86,6 +86,7 @@
 #include <libkgeomap/kgeomap_widget.h>
 #include <libkgeomap/itemmarkertiler.h>
 #include <libkgeomap/tracks.h>
+#include <libkgeomap/version.h>

 // Local includes

@@ -1222,7 +1223,9 @@ KGeoMapWidget* GPSSyncDialog::makeMapWidget(QWidget** const pvbox)
     mapWidget->setDragDropHandler(d->mapDragDropHandler);
     mapWidget->addUngroupedModel(d->bookmarkOwner->bookmarkModelHelper());
     mapWidget->addUngroupedModel(d->searchWidget->getModelHelper());
+#if KGEOMAP_VERSION >= 0x030000
     mapWidget->setTrackManager(d->trackManager);
+#endif
     mapWidget->setSortOptionsMenu(d->sortMenu);

     vbox->addWidget(mapWidget);
Comment 23 caulier.gilles 2014-11-03 11:23:47 UTC
Git commit 2e283f2a96e6a48cd70fd2f9dde7e9bf33e2a071 by Gilles Caulier.
Committed on 31/10/2014 at 11:32.
Pushed by cgilles into branch 'master'.

make libkgeomap as optional dependency to support Geolocation Maps
BUGS: 267789
FIXED-IN: 4.5.0

M  +52   -22   CMakeLists.txt
M  +3    -1    NEWS
M  +18   -6    app/CMakeLists.txt
M  +5    -0    app/main/digikamapp.cpp
M  +4    -0    app/main/digikamapp_p.h
M  +4    -1    app/utils/config-digikam.h.cmake.in
M  +31   -4    app/views/digikamview.cpp
M  +4    -0    app/views/leftsidebarwidgets.cpp
M  +8    -1    app/views/leftsidebarwidgets.h
M  +1    -1    app/views/mapwidgetview.h
M  +40   -21   app/views/stackedview.cpp
M  +15   -9    app/views/stackedview.h
M  +0    -1    app/views/tableview/tableview.cpp
M  +15   -11   app/views/tableview/tableview_treeview_delegate.cpp
M  +9    -3    libs/dialogs/libsinfodlg.cpp
M  +20   -4    libs/imageproperties/imagepropertiessidebar.cpp
M  +9    -2    libs/imageproperties/imagepropertiessidebar.h
M  +29   -9    libs/imageproperties/imagepropertiessidebarcamgui.cpp
M  +25   -5    libs/imageproperties/imagepropertiessidebardb.cpp
M  +4    -1    libs/kgeomaphelper/digikam2kgeomap_database.h
M  +4    -0    showfoto/CMakeLists.txt
M  +4    -0    utilities/importui/main/importui.cpp
M  +5    -0    utilities/importui/main/importui_p.h
M  +19   -3    utilities/importui/views/importstackedview.cpp
M  +8    -1    utilities/importui/views/importstackedview.h
M  +17   -0    utilities/importui/views/importview.cpp

http://commits.kde.org/digikam/2e283f2a96e6a48cd70fd2f9dde7e9bf33e2a071
Comment 24 caulier.gilles 2014-11-03 11:25:00 UTC
Git commit c9443120550a552ebc09e83bce26c272813777b5 by Gilles Caulier.
Committed on 30/10/2014 at 22:09.
Pushed by cgilles into branch 'master'.

add top level variable rule

M  +21   -16   libkgeomap/CMakeLists.txt

http://commits.kde.org/libkgeomap/c9443120550a552ebc09e83bce26c272813777b5

diff --git a/libkgeomap/CMakeLists.txt b/libkgeomap/CMakeLists.txt
index 128ec71..e3e868d 100644
--- a/libkgeomap/CMakeLists.txt
+++ b/libkgeomap/CMakeLists.txt
@@ -93,19 +93,24 @@ SET_TARGET_PROPERTIES(kgeomap PROPERTIES VERSION ${KGEOMAP_LIB_SO_VERSION_STRING

 INSTALL(TARGETS kgeomap ${INSTALL_TARGETS_DEFAULT_ARGS})

-INSTALL(FILES libkgeomap_export.h
-              abstractmarkertiler.h
-              dragdrophandler.h
-              geocoordinates.h
-              itemmarkertiler.h
-              kgeomap_primitives.h
-              kgeomap_widget.h
-              lookup_altitude.h
-              lookup_factory.h
-              modelhelper.h
-              tileindex.h
-              tracks.h
-              track_reader.h
-              ${CMAKE_CURRENT_BINARY_DIR}/version.h
-        DESTINATION ${INCLUDE_INSTALL_DIR}/libkgeomap COMPONENT Devel
-       )
+# Check if compilation is done through digiKam SC or not. If yes, do not install header files.
+IF(NOT DIGIKAMSC_USE_PRIVATE_SHAREDLIBS)
+
+    INSTALL(FILES libkgeomap_export.h
+                  abstractmarkertiler.h
+                  dragdrophandler.h
+                  geocoordinates.h
+                  itemmarkertiler.h
+                  kgeomap_primitives.h
+                  kgeomap_widget.h
+                  lookup_altitude.h
+                  lookup_factory.h
+                  modelhelper.h
+                  tileindex.h
+                  tracks.h
+                  track_reader.h
+                  ${CMAKE_CURRENT_BINARY_DIR}/version.h
+            DESTINATION ${INCLUDE_INSTALL_DIR}/libkgeomap COMPONENT Devel
+        )
+
+ENDIF()
Comment 25 caulier.gilles 2014-11-03 12:08:38 UTC
Git commit 31620c8aab2885219b2cc5f8e0457a6cb513c2d0 by Gilles Caulier.
Committed on 03/11/2014 at 12:07.
Pushed by cgilles into branch 'master'.

set libkgeomap dependency to 3.0.0 release

M  +40   -21   CMakeLists.txt
M  +1    -1    README

http://commits.kde.org/digikam/31620c8aab2885219b2cc5f8e0457a6cb513c2d0
Comment 26 caulier.gilles 2014-11-03 12:09:09 UTC
Git commit bb6ab11388e32bce82894b28b012844b2ff8689a by Gilles Caulier.
Committed on 03/11/2014 at 12:08.
Pushed by cgilles into branch 'master'.

set libkgeomap dependency to 3.0.0 release

M  +94   -75   CMakeLists.txt
M  +3    -3    README
M  +2    -4    gpssync/gpssyncdialog.cpp
M  +1    -1    gpssync/track_correlator.h

http://commits.kde.org/kipi-plugins/bb6ab11388e32bce82894b28b012844b2ff8689a
Comment 27 caulier.gilles 2014-11-03 12:41:42 UTC
Git commit 5101c460dc646c8e13f55e9ba936363a735d15f3 by Gilles Caulier.
Committed on 03/11/2014 at 12:41.
Pushed by cgilles into branch 'master'.

fix order to check libkgeomap

M  +23   -19   CMakeLists.txt

http://commits.kde.org/kipi-plugins/5101c460dc646c8e13f55e9ba936363a735d15f3